¿Cómo puedo actualizar mi PHP 5.3.1 a 5.3.2 en XAMPP Mac OS X?

Acabo de instalar XAMPP en Mac OS X Snow Leopard, y todo funciona correctamente y se configura completamente bien.

Sin embargo, quiero instalar un proyecto de código abierto que requiera PHP 5.3.2 o superior. Visité el website oficial de PHP y descargué PHP 5.4.5.

¿Cómo puedo actualizar mi versión PHP para que se ejecute con esta última versión?

Visité:

Lugares -> Aplicación -> XAMPP -> xamppfiles -> ???

Agradecería cualquier orientación. ¡Gracias!

  • No se puede acceder al website con Apache en localhost
  • MAMP PRO desinstalado pero los commands de Terminal todavía existen. ¿Cómo eliminarlos también?
  • Desinstalar PHP en Mac Mountain Lion
  • ¿Cómo hacer que ffmpeg use la versión correcta de libfreetype?
  • ¿Cuándo aparecerá PHP 5.4 en las instalaciones pnetworkingeterminadas de OS X?
  • Instalar MAMP (no PRO) para el envío de PHP y correo
  • ¿Es posible eliminar todas las aplicaciones y extensiones de terminal instaladas de nuevo a native sin realizar una installation limpia de OSX?
  • phpMyAdmin 403 Error prohibido después de la actualización a Yosemite
  • 2 Solutions collect form web for “¿Cómo puedo actualizar mi PHP 5.3.1 a 5.3.2 en XAMPP Mac OS X?”

    No para guiarlo en una dirección diferente, pero si estaba usando MAMP (versión gratuita) en OS X, eso viene con la versión más actualizada de PHP y le permite cambiar entre 5.2.17 y 5.4.3.

    Encuentro que MAMP es less desorderado que XAMPP.

    Descargue la última versión binaria de PHP 5.3.2 (asegúrese de get el package .zip y no el instalador)

    Desarchivarlo en un directory

    Copie los contenidos del directory en la subcarpeta php del directory de installation de XAMPP, sobrescribiendo los files que ya están presentes. Sobrescriba los files que ya están presentes en el directory apache \ bin con las versiones más recientes.

    Ahora el truco: tomar los files que tienen un "_2" en sus nombres (por ejemplo, php5apache2_2.dll o php5apache2_2_filter.dll), copyrlos en el subdirectory apache \ bin y eliminar la parte "_2", sobrescribiendo los files existentes. Esto es necesario porque XAMPP utiliza Apache versión 2.2 y los files con el prefijo 2 están diseñados para Apache 2.0, por lo que debe tomar los files comstackdos para la versión más nueva (que tiene una interfaz de complemento diferente) y cambiarles el nombre en los nombres de file que XAMPP espera .

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).